// $Id: OopsMessageFilter.h,v 1.1.1.1 2000/03/02 10:39:40 malte Exp $
//
// This file is part of the OopsMailFilter Bundle for Apple's MailViewer application.
// Copyright (c) 1999-2000 Oops AB. All rights reserved.
//
// The source file window should be wide enough to fit this paragraph. When using ProjectBuilder by
// Apple, switch on the option "Indent wrapped lines" and set the indentation to 4 spaces.
//
// See end of file for revision history.
//

#import <Foundation/Foundation.h>
#import "OopsPropertyListCoding.h"

@class Message;
@class OopsFilterRule;

@interface OopsMessageFilter : NSObject <OopsPropertyListCoding> {
	NSString *name;
	int order;
	NSString *destinationStorePath;
	OopsFilterRule *rule;
}

- (id)init;
- (void)dealloc;

- (void)setName:(NSString *)aName;
- (NSString *)name;
- (void)setOrder:(int)anOrder;
- (int)order;
- (void)setDestinationStorePath:(NSString *)aPath;
- (NSString *)destinationStorePath;
- (void)setRule:(OopsFilterRule *)aRule;
- (OopsFilterRule *)rule;

- (BOOL)compliedToByMessage:(Message *)message;

@end

extern NSString *OopsMessageFilterNameKey;
extern NSString *OopsMessageFilterOrderKey;
extern NSString *OopsMessageFilterDestinationKey;
extern NSString *OopsMessageFilterRuleKey;

/* Revision history:
 * $Log: OopsMessageFilter.h,v $
 * Revision 1.1.1.1  2000/03/02 10:39:40  malte
 * Initial release
 *
 */
