// $Id: OopsMessageFilterList.h,v 1.1.1.1 2000/03/02 10:39:40 malte Exp $
//
// This file is part of the OopsMailFilter Bundle for Apple's MailViewer application.
// Copyright (c) 1999-2000 Oops AB. All rights reserved.
//
// The source file window should be wide enough to fit this paragraph. When using ProjectBuilder by
// Apple, switch on the option "Indent wrapped lines" and set the indentation to 4 spaces.
//
// See end of file for revision history.
//

#import <AppKit/AppKit.h>

@interface OopsMessageFilterList : NSObject {
	NSMutableArray *filters;
}

+ (void)initialize;

+ (NSDictionary *)defaultFileAttributes;
+ (NSDictionary *)defaultDirectoryAttributes;

+ (OopsMessageFilterList *)filterList;

- (id)init;
- (void)dealloc;

- (void)setFilters:(NSArray *)filters;
- (NSMutableArray *)filters;
- (NSEnumerator *)filterEnumerator;

- (void)readFromFile;
- (void)writeToFile;

@end

extern NSString *OopsMessageFiltersKey;

/* Revision history:
 * $Log: OopsMessageFilterList.h,v $
 * Revision 1.1.1.1  2000/03/02 10:39:40  malte
 * Initial release
 *
 */
