// $Id: OopsSimpleFilterRule.h,v 1.1.1.1 2000/03/02 10:39:40 malte Exp $
//
// This file is part of the OopsMailFilter Bundle for Apple's MailViewer application.
// Copyright (c) 1999-2000 Oops AB. All rights reserved.
//
// The source file window should be wide enough to fit this paragraph. When using ProjectBuilder by
// Apple, switch on the option "Indent wrapped lines" and set the indentation to 4 spaces.
//
// See end of file for revision history.
//

#import "OopsFilterRule.h"

@interface OopsSimpleFilterRule : OopsFilterRule {
	NSArray *headers;
	NSArray *searchOptions;
	NSString *searchString;
}

- (void)setHeaders:(NSArray *)string;
- (NSArray *)headers;
- (void)setSearchOptions:(NSArray *)options;
- (NSArray *)searchOptions;
- (void)setSearchString:(NSString *)string;
- (NSString *)searchString;

// Search options.
- (BOOL)isCaseSensitive;

// Scope of search. (specified in searchOptions array).
- (BOOL)shouldContain;
- (BOOL)shouldBeginWith;
- (BOOL)shouldEndIn;
- (BOOL)shouldBe;

- (BOOL)compliedToByMessage:(Message *)message;

@end

extern NSString *OopsSimpleFilterRuleHeadersKey;
extern NSString *OopsSimpleFilterRuleSearchOptionsKey;
extern NSString *OopsSimpleFilterRuleSearchStringKey;

/* Revision history:
 * $Log: OopsSimpleFilterRule.h,v $
 * Revision 1.1.1.1  2000/03/02 10:39:40  malte
 * Initial release
 *
 */
