/* NSDictionary-CaseAccesing.m created by malte on Wed 01-Mar-2000 */

#import "NSDictionary-CaseAccesing.h"

@implementation NSDictionary (CaseAccesing)

- (id)objectForCaseInsensitiveKey:(NSString *)key {
	id object = nil;
	NSArray *allKeys = nil;
	NSEnumerator *keyEnum = nil;
	NSString *aKey = nil;

	// Some sane default tests.
	if (!key) return nil;
    if (object = [self objectForKey:key]) return object;

	allKeys = [self allKeys];
	keyEnum = [allKeys objectEnumerator];

	while (aKey = [keyEnum nextObject]) {
        if ([aKey caseInsensitiveCompare:key] == NSOrderedSame) {
			return [self objectForKey:aKey];
		}
	}

	return nil;
}

@end

/* Revision history:
 * $Log: NSDictionary-CaseAccesing.m,v $
 * Revision 1.1.1.1  2000/03/02 10:39:41  malte
 * Initial release
 *
 */
