/* IMAPStore.h created by malte on Sat 19-Feb-2000 */

#import <Foundation/Foundation.h>
#import "MessageStore.h"

@class IMAPConnection;

@interface IMAPStore:MessageStore <NSCoding>
{
    IMAPConnection *_connection;
    NSMutableArray *_uids;
    NSMutableArray *_pendingAppendData;
    // struct ? _imapFlags;
    void *_imapFlags;
    NSString *_statusMessageFormat;
    NSString *_connectionGreeting;
    int _statusMessageCount;
    int _statusMessageMaximum;
    NSRecursiveLock *_lock;
}

+ (void)initialize;
+ (float)willingnessToOpen:fp12;
- (void)_addPendingAppendData:fp12;
- (void)_alertUserWithMessage:fp12;
- (unsigned int)_cacheMessagesWithNumbers:fp12 intoArray:fp16;
- _dataForMessage:fp12;
- (unsigned int)_fetchMessagesWithNumbers:fp12 intoArray:fp16 uids:fp20 deletedMessages:fp24 deletedSize:(unsigned int *)fp28 filteredMessages:fp32 unreadMessages:fp40;
- (void)_flushAllData;
- (void)_processPendedAppendData;
- _resetAllMessages;
- _stringForMessage:fp12;
- (void)_waitForLock;
- allHeadersForMessage:fp12;
- (char)appendMessages:fp12;
- bodyForMessage:fp12;
- (void)cacheMessagesFromServer;
- cachedHeadersForMessage:fp12;
- (char)canCompact;
- (char)checkConnectionToServer;
- (void)close;
- (void)connectionWasDisconnected;
- (char)copyMessages:fp12 toMailboxNamed:fp16;
- (void)dealloc;
- (void)deleteMessages:fp12;
- displayName;
- (void)doCompact;
- (char)doFetchNow:(char)fp12;
- (void)encodeWithCoder:fp12;
- flagsForMessage:fp12;
- initWithCoder:fp12;
- initWithPath:fp12 create:(char)fp16 readOnly:(char)fp20 account:fp24;
- (char)isEqual:fp12;
- (void)logResponse:fp12;
- (void)messageFlagsChanged;
- messageForMessageID:fp12;
- messageIDForMessage:fp12;
- (void)messagesWereDeleted:fp12;
- (void)newMessagesHaveArrived:fp12 total:fp16;
- (void)rebuildTableOfContents;
- (void)receivedFlags:fp12 forMessage:fp16;
- (void)setFlags:fp12 havingKeys:fp16 forMessages:fp20;
- (void)setMessages:fp12 uids:fp16;
- (void)synchronizeFlagsWithServer;
- (void)synchronizeWithServer;
- (void)undeleteMessages:fp12;
- (void)willClose;

@end
