/* MessageStore.h created by malte on Sat 19-Feb-2000 */

#import <Foundation/Foundation.h>

@class MailAccount;
@class MboxIndex;

@interface MessageStore:NSObject
{
    // struct ? _flags;
	void *_flags;

    NSString *_path;
    NSMutableArray *deleteStack;
    MailAccount *_account;
    NSMutableDictionary *_userInfo;
    MboxIndex *_index;
    NSConditionLock *_indexLock;
    NSMutableArray *_allMessages;
    NSMutableArray *_filteredMessages;
    NSMutableArray *_deletedMessages;
    NSMutableArray *_unreadMessages;
    NSMutableArray *_messagesToBeIndexed;
    unsigned int _allMessagesSize;
    unsigned int _deletedMessagesSize;
    unsigned int _unreadMessagesSize;
}

+ _standarizedStorePath:fp12;
+ currentlyOpenStoreForPath:fp12;
+ defaultStoreClass;
+ (void)registerDefaultStoreClass:fp12;
+ (void)registerOpenStore:fp12;
+ (void)registerStoreClass:fp12;
+ storeFileExtension;
+ storeForPath:fp12;
+ storeForPath:fp12 create:(char)fp16 readOnly:(char)fp20;
+ (void)unregisterStoreClass:fp12;
+ userInfoForPath:fp12;
+ (float)willingnessToOpen:fp12;
- (void)_buildDeletedList;
- (void)_buildUnreadList;
- _index;
- (void)_removeIndexFile;
- _resetAllMessages;
- (void)_setupIndexAfterOpening;
- (void)_sortMessages;
- _statusMessageForMessage:fp12 current:(int)fp16 total:(int)fp20;
- account;
- (void)addMessagesToIndex:fp12;
- allHeadersForMessage:fp12;
- allMessages;
- bodyForMessage:fp12;
- cachedHeadersForMessage:fp12;
- (char)canBeIndexed;
- (char)canCompact;
- (void)close;
// - copyWithZone:(struct ? *)fp12;
- copyWithZone:(NSZone *)fp12;
- (unsigned int)count;
- (char)createLock:fp12;
- (void)dealloc;
- (void)deleteMessage:fp12;
- (void)deleteMessages:fp12;
- (void)deletedCount:(unsigned int *)fp12 andSize:(unsigned int *)fp16;
- description;
- (void)didOpen;
- displayName;
- (void)doCompact;
- (char)excludeRead;
- filteredMessages;
- flagsForMessage:fp12;
- focusedMessages;
- (char)includeDeleted;
- (unsigned int)indexOfMessage:fp12;
- initWithPath:fp12;
- initWithPath:fp12 create:(char)fp16 readOnly:(char)fp20;
- initWithPath:fp12 create:(char)fp16 readOnly:(char)fp20 account:fp24;
- initWithPath:fp12 readOnly:(char)fp16;
- (void)invalidateDeleteStack;
- (char)isFocused;
- (char)isIndexed;
- (char)isReadOnly;
- (char)isUpdatingIndex;
- (void)messageFlagsDidChange:fp12;
- (void)messagesWillBeCompacted:fp12;
- (void)queueStructureDidChange;
- (void)rebuildFilteredMessageList;
- (void)rebuildMessageLists;
- (void)removeMessagesFromIndex:fp12;
- (void)saveUserInfo;
- (void)setAccount:fp12;
- (void)setExcludeRead:(char)fp12;
- (void)setFlags:fp12 havingKeys:fp16 forMessage:fp20;
- (void)setFlags:fp12 havingKeys:fp16 forMessages:fp20;
- (void)setFocusedMessages:fp12;
- (void)setIncludeDeleted:(char)fp12;
- (void)setIsIndexed:(char)fp12;
- (void)setPriority:(unsigned int)fp12 forMessage:fp16;
- (void)setPriority:(unsigned int)fp12 forMessages:fp16;
- (void)setRead:(char)fp12 forMessage:fp16;
- (void)setRead:(char)fp12 forMessages:fp16;
- (void)setRepliedTo:(char)fp12 forMessage:fp16;
- (void)setRepliedTo:(char)fp12 forMessages:fp16;
- (void)setSortOrder:fp12;
- (void)setUserInfo:fp12;
- (char)shouldOpenDespiteLock:fp12;
- (char)shouldProcessInBackground;
- (unsigned int)sizeOfMessages:fp12;
- sortOrder;
- (void)stopBackgroundActivity;
- (void)stopUpdatingIndex;
- storePath;
- storePathRelativeToAccount;
- (void)structureDidChange;
- (unsigned int)totalCount;
- (void)totalCount:(unsigned int *)fp12 andSize:(unsigned int *)fp16;
- undeleteLastDeletedMessages;
- (void)undeleteMessage:fp12;
- (void)undeleteMessages:fp12;
- (unsigned int)unreadCount;
- (void)unreadCount:(unsigned int *)fp12 andSize:(unsigned int *)fp16;
- (void)updateIndex;
- (void)updateIndexInBackground;
- userInfo;
- (void)willClose;

@end
